summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.travis.yml10
-rwxr-xr-xinfrastructure/travis-build.sh15
2 files changed, 16 insertions, 9 deletions
diff --git a/.travis.yml b/.travis.yml
index 3f4e75ef..dbc1466c 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -20,17 +20,9 @@ addons:
- xsltproc
- zlib1g-dev
-before_script:
- - ccache -s
- - ./bootstrap
- - ./configure CC="ccache $CC" CXX="ccache $CXX"
- - grep CXX config.status
- - make
-
env:
- TEST_TARGET=debug
- TEST_TARGET=release
script:
- - ./runtest.pl ALL $TEST_TARGET
- - ccache -s
+ - ./infrastructure/travis-build.sh
diff --git a/infrastructure/travis-build.sh b/infrastructure/travis-build.sh
new file mode 100755
index 00000000..f4cd4ef4
--- /dev/null
+++ b/infrastructure/travis-build.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+set -x
+
+ccache -s
+
+cd `dirname $0`/..
+./bootstrap
+./configure CC="ccache $CC" CXX="ccache $CXX" "$@"
+grep CXX config.status
+make V=1
+./runtest.pl ALL $TEST_TARGET
+
+ccache -s